// java wrapper for vtkAxis object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxis.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAxis_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAxis",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxis_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  const char    *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxis_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxis *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetPosition_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxis *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxis_GetPosition_13(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  int      temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetPoint1_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkAxis *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetPoint1_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxis *op;
  float  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAxis_GetPoint1_16(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  float   *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetPoint2_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkAxis *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetPoint2_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxis *op;
  float  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAxis_GetPoint2_19(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  float   *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetNumberOfTicks_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxis *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTicks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxis_GetNumberOfTicks_111(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  int      temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTicks();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxis_GetLabelProperties_112(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  vtkTextProperty  *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetMinimum_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxis *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxis_GetMinimum_114(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  double   temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetMaximum_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxis *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxis_GetMaximum_116(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  double   temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetTitle_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxis *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxis_GetTitle_118(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  char    *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxis_GetTitleProperties_119(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  vtkTextProperty  *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetLogScale_120(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAxis *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLogScale(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAxis_GetLogScale_121(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  bool   temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLogScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetGridVisible_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAxis *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGridVisible(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAxis_GetGridVisible_123(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  bool   temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridVisible();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetLabelsVisible_124(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAxis *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelsVisible(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAxis_GetLabelsVisible_125(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  bool   temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelsVisible();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetPrecision_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxis *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPrecision(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxis_GetPrecision_127(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  int      temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPrecision();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetNotation_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxis *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNotation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxis_GetNotation_129(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  int      temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNotation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_SetBehavior_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxis *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBehavior(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxis_GetBehavior_131(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  int      temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBehavior();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxis_GetPen_132(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  vtkPen  *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxis_GetGridPen_133(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  vtkPen  *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_Update_134(JNIEnv *env, jobject obj)
{
  vtkAxis *op;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAxis_Paint_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxis *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_AutoScale_136(JNIEnv *env, jobject obj)
{
  vtkAxis *op;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxis_RecalculateTickSpacing_137(JNIEnv *env, jobject obj)
{
  vtkAxis *op;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  op->RecalculateTickSpacing();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxis_GetTickPositions_138(JNIEnv *env, jobject obj)
{
  vtkAxis *op;
  vtkFloatArray  *temp20;

  op = (vtkAxis *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickPositions();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAxis_VTKInit(JNIEnv *, jobject)
{
  vtkAxis *aNewOne = vtkAxis::New();
  return (jlong)(size_t)(void*)aNewOne;
}
