// python wrapper for vtkChartParallelCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkChartParallelCoordinates.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChartParallelCoordinatesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChartParallelCoordinatesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkChartNew(char *); }

static PyObject *PyvtkChartParallelCoordinates_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  const char    *temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  char    *temp0;
  int      temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  vtkChartParallelCoordinates  *temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkChartParallelCoordinates  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkChartParallelCoordinates::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartParallelCoordinates::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_Paint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  vtkContext2D  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkContext2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContext2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::Paint(temp0);
      }
    else
      {
      temp20 = op->Paint(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_AddPlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  int      temp0;
  vtkPlot  *temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::AddPlot(temp0);
      }
    else
      {
      temp20 = op->AddPlot(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_RemovePlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  vtkIdType   temp0;
  bool   temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::RemovePlot(temp0);
      }
    else
      {
      temp20 = op->RemovePlot(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_ClearPlots(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartParallelCoordinates::ClearPlots();
      }
    else
      {
      op->ClearPlots();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_GetPlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  vtkIdType   temp0;
  vtkPlot  *temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::GetPlot(temp0);
      }
    else
      {
      temp20 = op->GetPlot(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_GetNumberOfPlots(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  vtkIdType   temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::GetNumberOfPlots();
      }
    else
      {
      temp20 = op->GetNumberOfPlots();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_GetAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  int      temp0;
  vtkAxis  *temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::GetAxis(temp0);
      }
    else
      {
      temp20 = op->GetAxis(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_GetNumberOfAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  vtkIdType   temp20;
  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChartParallelCoordinates::GetNumberOfAxes();
      }
    else
      {
      temp20 = op->GetNumberOfAxes();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChartParallelCoordinates_RecalculateBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChartParallelCoordinates *op;

  op = (vtkChartParallelCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChartParallelCoordinates::RecalculateBounds();
      }
    else
      {
      op->RecalculateBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkChartParallelCoordinatesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkChartParallelCoordinates_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkChartParallelCoordinates_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkChartParallelCoordinates_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChartParallelCoordinates\nC++: vtkChartParallelCoordinates *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkChartParallelCoordinates_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkChartParallelCoordinates\nC++: vtkChartParallelCoordinates *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkChartParallelCoordinates_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Perform any updates to the item that may be necessary before rendering.\n The scene should take care of calling this on all items before their\n Paint function is invoked.\n"},
  {(char*)"Paint",                (PyCFunction)PyvtkChartParallelCoordinates_Paint, 1,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint (vtkContext2D *painter);\n\n Paint event for the chart, called whenever the chart needs to be drawn\n"},
  {(char*)"AddPlot",                (PyCFunction)PyvtkChartParallelCoordinates_AddPlot, 1,
   (char*)"V.AddPlot(int) -> vtkPlot\nC++: virtual vtkPlot *AddPlot (int type);\n\n Add a plot to the chart, defaults to using the name of the y column\n"},
  {(char*)"RemovePlot",                (PyCFunction)PyvtkChartParallelCoordinates_RemovePlot, 1,
   (char*)"V.RemovePlot(int) -> bool\nC++: virtual bool RemovePlot (vtkIdType index);\n\n Remove the plot at the specified index, returns true if successful,\n false if the index was invalid.\n"},
  {(char*)"ClearPlots",                (PyCFunction)PyvtkChartParallelCoordinates_ClearPlots, 1,
   (char*)"V.ClearPlots()\nC++: virtual void ClearPlots ();\n\n Remove all plots from the chart.\n"},
  {(char*)"GetPlot",                (PyCFunction)PyvtkChartParallelCoordinates_GetPlot, 1,
   (char*)"V.GetPlot(int) -> vtkPlot\nC++: virtual vtkPlot *GetPlot (vtkIdType index);\n\n Get the plot at the specified index, returns null if the index is invalid.\n"},
  {(char*)"GetNumberOfPlots",                (PyCFunction)PyvtkChartParallelCoordinates_GetNumberOfPlots, 1,
   (char*)"V.GetNumberOfPlots() -> int\nC++: virtual vtkIdType GetNumberOfPlots ();\n\n Get the number of plots the chart contains.\n"},
  {(char*)"GetAxis",                (PyCFunction)PyvtkChartParallelCoordinates_GetAxis, 1,
   (char*)"V.GetAxis(int) -> vtkAxis\nC++: virtual vtkAxis *GetAxis (int axisIndex);\n\n Get the axis specified by axisIndex. 0 is x, 1 is y. This should probably\n be improved either using a string or enum to select the axis.\n"},
  {(char*)"GetNumberOfAxes",                (PyCFunction)PyvtkChartParallelCoordinates_GetNumberOfAxes, 1,
   (char*)"V.GetNumberOfAxes() -> int\nC++: virtual vtkIdType GetNumberOfAxes ();\n\n Get the number of axes in the current chart.\n"},
  {(char*)"RecalculateBounds",                (PyCFunction)PyvtkChartParallelCoordinates_RecalculateBounds, 1,
   (char*)"V.RecalculateBounds()\nC++: virtual void RecalculateBounds ();\n\n Request that the chart recalculates the range of its axes. Especially\n useful in applications after the parameters of plots have been modified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkChartParallelCoordinatesDoc[] = {
  (char*)"vtkChartParallelCoordinates - Factory class for drawing 2D charts\n\n",
  "Super Class:\n\n vtkChart\n\n",
  (char*)" This defines the interface for a chart.\n\n",
  NULL
};

static vtkObjectBase *vtkChartParallelCoordinatesStaticNew()
{
  return vtkChartParallelCoordinates::New();
}

PyObject *PyVTKClass_vtkChartParallelCoordinatesNew(char *modulename)
{
  return PyVTKClass_New(&vtkChartParallelCoordinatesStaticNew,
                        PyvtkChartParallelCoordinatesMethods,
                        (char*)"vtkChartParallelCoordinates",modulename,
                        (char**)vtkChartParallelCoordinatesDoc,
                        PyVTKClass_vtkChartNew(modulename));
}

