// java wrapper for vtkContextBufferId object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextBufferId.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextBufferId_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextBufferId",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextBufferId_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextBufferId *op;
  const char    *temp20;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextBufferId_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextBufferId *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextBufferId_GetWidth_12(JNIEnv *env, jobject obj)
{
  vtkContextBufferId *op;
  int      temp20;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextBufferId_SetWidth_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextBufferId *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextBufferId_GetHeight_14(JNIEnv *env, jobject obj)
{
  vtkContextBufferId *op;
  int      temp20;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextBufferId_SetHeight_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextBufferId *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextBufferId_Allocate_16(JNIEnv *env, jobject obj)
{
  vtkContextBufferId *op;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextBufferId_IsAllocated_17(JNIEnv *env, jobject obj)
{
  vtkContextBufferId *op;
  bool   temp20;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAllocated();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextBufferId_SetValue_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContextBufferId *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextBufferId_GetValue_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextBufferId *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextBufferId_GetPickedItem_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContextBufferId *op;
  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickedItem(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContextBufferId_VTKInit(JNIEnv *, jobject)
{
  vtkContextBufferId *aNewOne = vtkContextBufferId::New();
  return (jlong)(size_t)(void*)aNewOne;
}
