// python wrapper for vtkContextBufferId object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContextBufferId.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContextBufferIdNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContextBufferIdNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkContextBufferId_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  const char    *temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  char    *temp0;
  int      temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  vtkContextBufferId  *temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContextBufferId  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContextBufferId::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContextBufferId_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  int      temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_SetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  int      temp0;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextBufferId::SetWidth(temp0);
      }
    else
      {
      op->SetWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  int      temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_SetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  int      temp0;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextBufferId::SetHeight(temp0);
      }
    else
      {
      op->SetHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextBufferId::Allocate();
      }
    else
      {
      op->Allocate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_IsAllocated(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  bool   temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::IsAllocated();
      }
    else
      {
      temp20 = op->IsAllocated();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"Li", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContextBufferId::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContextBufferId_GetPickedItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContextBufferId *op;

  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  op = (vtkContextBufferId *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContextBufferId::GetPickedItem(temp0,temp1);
      }
    else
      {
      temp20 = op->GetPickedItem(temp0,temp1);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContextBufferIdMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContextBufferId_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContextBufferId_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContextBufferId_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContextBufferId\nC++: vtkContextBufferId *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContextBufferId_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContextBufferId\nC++: vtkContextBufferId *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkContextBufferId_GetWidth, 1,
   (char*)"V.GetWidth() -> int\nC++: int GetWidth ();\n\n Number of columns. Initial value is 0.\n"},
  {(char*)"SetWidth",                (PyCFunction)PyvtkContextBufferId_SetWidth, 1,
   (char*)"V.SetWidth(int)\nC++: void SetWidth (int );\n\n Set the number of columns. Initial value is 0.\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkContextBufferId_GetHeight, 1,
   (char*)"V.GetHeight() -> int\nC++: int GetHeight ();\n\n Number of rows. Initial value is 0.\n"},
  {(char*)"SetHeight",                (PyCFunction)PyvtkContextBufferId_SetHeight, 1,
   (char*)"V.SetHeight(int)\nC++: void SetHeight (int );\n\n Set the number of rows. Initial value is 0.\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkContextBufferId_Allocate, 1,
   (char*)"V.Allocate()\nC++: void Allocate ();\n\n Allocate the memory for at least Width*Height elements.\n \\pre positive_width: GetWidth()>0\n \\pre positive_height: GetHeight()>0\n"},
  {(char*)"IsAllocated",                (PyCFunction)PyvtkContextBufferId_IsAllocated, 1,
   (char*)"V.IsAllocated() -> bool\nC++: bool IsAllocated () const;\n\n Tell if the buffer has been allocated.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkContextBufferId_SetValue, 1,
   (char*)"V.SetValue(int, int)\nC++: void SetValue (vtkIdType i, int value);\n\n Set the value at index `i'.\n \\pre is_allocated: this->IsAllocated()\n \\pre valid_i: i>=0 i<this->GetWidth()*this->GetHeight()\n \\post is_set: this->GetValue(i)==value\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkContextBufferId_GetValue, 1,
   (char*)"V.GetValue(int) -> int\nC++: int GetValue (vtkIdType i);\n\n Get the value at index `i'.\n \\pre is_allocated: this->IsAllocated()\n \\pre valid_i: i>=0 i<this->GetWidth()*this->GetHeight()\n"},
  {(char*)"GetPickedItem",                (PyCFunction)PyvtkContextBufferId_GetPickedItem, 1,
   (char*)"V.GetPickedItem(int, int) -> int\nC++: vtkIdType GetPickedItem (int x, int y);\n\n Return item under abscissa x and ordinate y.\n Abscissa go from left to right.\n Ordinate go from bottom to top.\n The return value is -1 if there is no item.\n \\pre is_allocated: IsAllocated()\n \\post valid_result: result>=-1\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContextBufferIdDoc[] = {
  (char*)"vtkContextBufferId - 2D array of ids, used for picking.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" An 2D array where each element is the id of an entity drawn at the given\n pixel.\n\n",
  NULL
};

static vtkObjectBase *vtkContextBufferIdStaticNew()
{
  return vtkContextBufferId::New();
}

PyObject *PyVTKClass_vtkContextBufferIdNew(char *modulename)
{
  return PyVTKClass_New(&vtkContextBufferIdStaticNew,
                        PyvtkContextBufferIdMethods,
                        (char*)"vtkContextBufferId",modulename,
                        (char**)vtkContextBufferIdDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

