// java wrapper for vtkImageItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageItem.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageItem *op;
  const char    *temp20;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkImageItem_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageItem_SetLabel_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageItem *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabel(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageItem_GetLabel_14(JNIEnv *env, jobject obj)
{
  vtkImageItem *op;
  char    *temp20;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageItem_SetImage_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageItem *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImage(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageItem_GetImage_16(JNIEnv *env, jobject obj)
{
  vtkImageItem *op;
  vtkImageData  *temp20;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImage();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageItem_SetDimensions_17(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageItem *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageItem_SetDimensions_18(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageItem *op;
  int    temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageItem_GetDimensions_19(JNIEnv *env, jobject obj)
{
  vtkImageItem *op;
  int     *temp20;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,4);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageItem_VTKInit(JNIEnv *, jobject)
{
  vtkImageItem *aNewOne = vtkImageItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
