// java wrapper for vtkOpenGLContextDevice2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLContextDevice2D.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextDevice2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLContextDevice2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLContextDevice2D",dType)) { return me; }
  if ((res= vtkContextDevice2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLContextDevice2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;
  const char    *temp20;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLContextDevice2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLContextDevice2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_DrawEllipseWedge_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkOpenGLContextDevice2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_DrawEllipticArc_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkOpenGLContextDevice2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_SetPointSize_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkOpenGLContextDevice2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_SetLineWidth_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkOpenGLContextDevice2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineWidth(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_SetLineType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLContextDevice2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_MultiplyMatrix_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLContextDevice2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiplyMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_SetMatrix_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLContextDevice2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_PushMatrix_19(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PushMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_PopMatrix_110(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PopMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_DisableClipping_111(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableClipping();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_Begin_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLContextDevice2D *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Begin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_End_113(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->End();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_BufferIdModeBegin_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLContextDevice2D *op;
  vtkContextBufferId  *temp0;
  temp0 = (vtkContextBufferId *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BufferIdModeBegin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_BufferIdModeEnd_115(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BufferIdModeEnd();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLContextDevice2D_SetStringRendererToFreeType_116(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;
  bool   temp20;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetStringRendererToFreeType();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLContextDevice2D_SetStringRendererToQt_117(JNIEnv *env, jobject obj)
{
  vtkOpenGLContextDevice2D *op;
  bool   temp20;

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetStringRendererToQt();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLContextDevice2D_ReleaseGraphicsResources_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLContextDevice2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLContextDevice2D_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLContextDevice2D *aNewOne = vtkOpenGLContextDevice2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
