// java wrapper for vtkPlotBar object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlotBar.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPlot_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlotBar_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlotBar",dType)) { return me; }
  if ((res= vtkPlot_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlotBar_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlotBar *op;
  const char    *temp20;

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlotBar_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlotBar *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlotBar_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlotBar *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlotBar_PaintLegend_13(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkPlotBar *op;
  vtkContext2D  *temp0;
  float  temp1[4];
  void *tempArray1;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PaintLegend(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotBar_SetColor_14(JNIEnv *env, jobject obj,jchar id0,jchar id1,jchar id2,jchar id3)
{
  vtkPlotBar *op;
   unsigned char     temp0;
   unsigned char     temp1;
   unsigned char     temp2;
   unsigned char     temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotBar_SetColor_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPlotBar *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotBar_GetColor_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlotBar *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  op->GetColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotBar_SetWidth_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPlotBar *op;
  float    temp0;
  temp0 = id0;

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPlotBar_GetWidth_18(JNIEnv *env, jobject obj)
{
  vtkPlotBar *op;
  float    temp20;

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotBar_SetOffset_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPlotBar *op;
  float    temp0;
  temp0 = id0;

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPlotBar_GetOffset_110(JNIEnv *env, jobject obj)
{
  vtkPlotBar *op;
  float    temp20;

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotBar_GetBounds_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlotBar *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkPlotBar *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPlotBar_VTKInit(JNIEnv *, jobject)
{
  vtkPlotBar *aNewOne = vtkPlotBar::New();
  return (jlong)(size_t)(void*)aNewOne;
}
