// python wrapper for vtkInformationQuadratureSchemeDefinitionVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationQuadratureSchemeDefinitionVectorKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationQuadratureSchemeDefinitionVectorKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationQuadratureSchemeDefinitionVectorKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  const char    *temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformationQuadratureSchemeDefinitionVectorKey  *temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationQuadratureSchemeDefinitionVectorKey::Clear(temp0);
      }
    else
      {
      op->Clear(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationQuadratureSchemeDefinitionVectorKey::Resize(temp0,temp1);
      }
    else
      {
      op->Resize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_Size(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::Size(temp0);
      }
    else
      {
      temp20 = op->Size(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_Length(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_Append(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkQuadratureSchemeDefinition  *temp1;
  PyObject *tempH1;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkQuadratureSchemeDefinition *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkQuadratureSchemeDefinition");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationQuadratureSchemeDefinitionVectorKey::Append(temp0,temp1);
      }
    else
      {
      op->Append(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_Set(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkQuadratureSchemeDefinition  *temp1;
  PyObject *tempH1;
  int      temp2;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkQuadratureSchemeDefinition *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkQuadratureSchemeDefinition");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationQuadratureSchemeDefinitionVectorKey::Set(temp0,temp1,temp2);
      }
    else
      {
      op->Set(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_Get(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkQuadratureSchemeDefinition  *temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::Get(temp0,temp1);
      }
    else
      {
      temp20 = op->Get(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationQuadratureSchemeDefinitionVectorKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break11;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationQuadratureSchemeDefinitionVectorKey::DeepCopy(temp0,temp1);
      }
    else
      {
      op->DeepCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_SaveState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkXMLDataElement  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkXMLDataElement");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::SaveState(temp0,temp1);
      }
    else
      {
      temp20 = op->SaveState(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkInformationQuadratureSchemeDefinitionVectorKey_RestoreState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkXMLDataElement  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkInformationQuadratureSchemeDefinitionVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkXMLDataElement");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationQuadratureSchemeDefinitionVectorKey::RestoreState(temp0,temp1);
      }
    else
      {
      temp20 = op->RestoreState(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkInformationQuadratureSchemeDefinitionVectorKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationQuadratureSchemeDefinitionVectorKey\nC++: vtkInformationQuadratureSchemeDefinitionVectorKey *NewInstance ();\n\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_Clear, 1,
   (char*)"V.Clear(vtkInformation)\nC++: void Clear (vtkInformation *info);\n\n Clear the vector.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_Resize, 1,
   (char*)"V.Resize(vtkInformation, int)\nC++: void Resize (vtkInformation *info, int n);\n\n Resize (extend) the vector to hold n objects. Any new elements\n created will be null initialized.\n"},
  {(char*)"Size",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_Size, 1,
   (char*)"V.Size(vtkInformation) -> int\nC++: int Size (vtkInformation *info);\n\n Get the vector's length.\n"},
  {(char*)"Length",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_Length, 1,
   (char*)"V.Length(vtkInformation) -> int\nC++: int Length (vtkInformation *info);return this Size info \n\n Put the value on the back of the vector, with reference counting.\n"},
  {(char*)"Append",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_Append, 1,
   (char*)"V.Append(vtkInformation, vtkQuadratureSchemeDefinition)\nC++: void Append (vtkInformation *info, vtkQuadratureSchemeDefinition *value);\n\n Put the value on the back of the vector, with reference counting.\n"},
  {(char*)"Set",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_Set, 1,
   (char*)"V.Set(vtkInformation, vtkQuadratureSchemeDefinition, int)\nC++: void Set (vtkInformation *info, vtkQuadratureSchemeDefinition *value, int i);\n\n Set element i of the vector to value. Resizes the vector\n if needed.\n"},
  {(char*)"Get",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_Get, 1,
   (char*)"V.Get(vtkInformation, int) -> vtkQuadratureSchemeDefinition\nC++: vtkQuadratureSchemeDefinition *Get (vtkInformation *info, int idx);\n\n Get the vtkQuadratureSchemeDefinition at a specific location in the vector.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkInformation, vtkInformation)\nC++: virtual void DeepCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {(char*)"SaveState",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_SaveState, 1,
   (char*)"V.SaveState(vtkInformation, vtkXMLDataElement) -> int\nC++: int SaveState (vtkInformation *info, vtkXMLDataElement *element);\n\n Generate an XML representation of the object. Each\n key/value pair will be nested in the resulting XML hierarchy.\n The element passed in is assumed to be empty.\n"},
  {(char*)"RestoreState",                (PyCFunction)PyvtkInformationQuadratureSchemeDefinitionVectorKey_RestoreState, 1,
   (char*)"V.RestoreState(vtkInformation, vtkXMLDataElement) -> int\nC++: int RestoreState (vtkInformation *info, vtkXMLDataElement *element);\n\n Load key/value pairs from an XML state representation created\n with SaveState. Duplicate keys will generate a fatal error.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationQuadratureSchemeDefinitionVectorKeyDoc[] = {
  (char*)"vtkInformationQuadratureSchemeDefinitionVectorKey - Key for vtkQuadratureSchemeDefinition vector values.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationQuadratureSchemeDefinitionVectorKey is used to represent keys for double\n vector values in vtkInformation.h. NOTE the interface in this key differs\n from that in other similar keys because of our internal use of smart\n pointers.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationQuadratureSchemeDefinitionVectorKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationQuadratureSchemeDefinitionVectorKeyMethods,
                        (char*)"vtkInformationQuadratureSchemeDefinitionVectorKey",modulename,
                        (char**)vtkInformationQuadratureSchemeDefinitionVectorKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

