// java wrapper for vtkJavaProgrammableFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkJavaProgrammableFilter.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkJavaProgrammableFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkJavaProgrammableFilter",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJavaProgrammableFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkJavaProgrammableFilter *op;
  const char    *temp20;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJavaProgrammableFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaProgrammableFilter_SetParameter_12(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParameter(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaProgrammableFilter_SetParameter_13(JNIEnv *env, jobject obj,jstring id0,jdouble id1)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  double   temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParameter(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaProgrammableFilter_SetParameter_14(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParameter(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJavaProgrammableFilter_GetIntParameter_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntParameter(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkJavaProgrammableFilter_GetDoubleParameter_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  double   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDoubleParameter(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJavaProgrammableFilter_GetStringParameter_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  const char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStringParameter(temp0);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaProgrammableFilter_SetJavaClassName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetJavaClassName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJavaProgrammableFilter_GetJavaClassName_19(JNIEnv *env, jobject obj)
{
  vtkJavaProgrammableFilter *op;
  const char    *temp20;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetJavaClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaProgrammableFilter_SetJavaClassPath_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaProgrammableFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetJavaClassPath(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJavaProgrammableFilter_GetJavaClassPath_111(JNIEnv *env, jobject obj)
{
  vtkJavaProgrammableFilter *op;
  const char    *temp20;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetJavaClassPath();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkJavaProgrammableFilter_Initialize_112(JNIEnv *env, jobject obj)
{
  vtkJavaProgrammableFilter *op;
  bool   temp20;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Initialize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaProgrammableFilter_SetNumberOfInputPorts_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkJavaProgrammableFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfInputPorts(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaProgrammableFilter_SetNumberOfOutputPorts_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkJavaProgrammableFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkJavaProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfOutputPorts(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkJavaProgrammableFilter_VTKInit(JNIEnv *, jobject)
{
  vtkJavaProgrammableFilter *aNewOne = vtkJavaProgrammableFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
