// python wrapper for vtkComputeHistogram2DOutliers object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkComputeHistogram2DOutliers.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkComputeHistogram2DOutliersNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkComputeHistogram2DOutliersNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkComputeHistogram2DOutliers_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  const char    *temp20;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkComputeHistogram2DOutliers::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  char    *temp0;
  int      temp20;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkComputeHistogram2DOutliers::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  vtkComputeHistogram2DOutliers  *temp20;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkComputeHistogram2DOutliers::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkComputeHistogram2DOutliers  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkComputeHistogram2DOutliers::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_SetPreferredNumberOfOutliers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  int      temp0;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkComputeHistogram2DOutliers::SetPreferredNumberOfOutliers(temp0);
      }
    else
      {
      op->SetPreferredNumberOfOutliers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_GetPreferredNumberOfOutliers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  int      temp20;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkComputeHistogram2DOutliers::GetPreferredNumberOfOutliers();
      }
    else
      {
      temp20 = op->GetPreferredNumberOfOutliers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_GetOutputTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  vtkTable  *temp20;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkComputeHistogram2DOutliers::GetOutputTable();
      }
    else
      {
      temp20 = op->GetOutputTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_SetInputTableConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkComputeHistogram2DOutliers::SetInputTableConnection(temp0);
      }
    else
      {
      op->SetInputTableConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_SetInputHistogramImageDataConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkComputeHistogram2DOutliers::SetInputHistogramImageDataConnection(temp0);
      }
    else
      {
      op->SetInputHistogramImageDataConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkComputeHistogram2DOutliers_SetInputHistogramMultiBlockConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkComputeHistogram2DOutliers *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkComputeHistogram2DOutliers::SetInputHistogramMultiBlockConnection(temp0);
      }
    else
      {
      op->SetInputHistogramMultiBlockConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkComputeHistogram2DOutliersMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkComputeHistogram2DOutliers_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkComputeHistogram2DOutliers_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkComputeHistogram2DOutliers_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkComputeHistogram2DOutliers\nC++: vtkComputeHistogram2DOutliers *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkComputeHistogram2DOutliers_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkComputeHistogram2DOutliers\nC++: vtkComputeHistogram2DOutliers *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPreferredNumberOfOutliers",                (PyCFunction)PyvtkComputeHistogram2DOutliers_SetPreferredNumberOfOutliers, 1,
   (char*)"V.SetPreferredNumberOfOutliers(int)\nC++: void SetPreferredNumberOfOutliers (int );\n\n"},
  {(char*)"GetPreferredNumberOfOutliers",                (PyCFunction)PyvtkComputeHistogram2DOutliers_GetPreferredNumberOfOutliers, 1,
   (char*)"V.GetPreferredNumberOfOutliers() -> int\nC++: int GetPreferredNumberOfOutliers ();\n\n"},
  {(char*)"GetOutputTable",                (PyCFunction)PyvtkComputeHistogram2DOutliers_GetOutputTable, 1,
   (char*)"V.GetOutputTable() -> vtkTable\nC++: vtkTable *GetOutputTable ();\n\n"},
  {(char*)"SetInputTableConnection",                (PyCFunction)PyvtkComputeHistogram2DOutliers_SetInputTableConnection, 1,
   (char*)"V.SetInputTableConnection(vtkAlgorithmOutput)\nC++: void SetInputTableConnection (vtkAlgorithmOutput *cxn);this SetInputConnection INPUT_TABLE_DATA cxn \n\n Set the input histogram data as a (repeatable) vtkImageData\n"},
  {(char*)"SetInputHistogramImageDataConnection",                (PyCFunction)PyvtkComputeHistogram2DOutliers_SetInputHistogramImageDataConnection, 1,
   (char*)"V.SetInputHistogramImageDataConnection(vtkAlgorithmOutput)\nC++: void SetInputHistogramImageDataConnection (vtkAlgorithmOutput *cxn);this SetInputConnection INPUT_HISTOGRAMS_IMAGE_DATA cxn \n\n Set the input histogram data as a vtkMultiBlockData set\n containing multiple vtkImageData objects.\n"},
  {(char*)"SetInputHistogramMultiBlockConnection",                (PyCFunction)PyvtkComputeHistogram2DOutliers_SetInputHistogramMultiBlockConnection, 1,
   (char*)"V.SetInputHistogramMultiBlockConnection(vtkAlgorithmOutput)\nC++: void SetInputHistogramMultiBlockConnection (vtkAlgorithmOutput *cxn);this SetInputConnection INPUT_HISTOGRAMS_MULTIBLOCK cxn \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkComputeHistogram2DOutliersDoc[] = {
  (char*)"vtkComputeHistogram2DOutliers - compute the outliers in a set\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)"  This class takes a table and one or more vtkImageData histograms as input\n  and computes the outliers in that data.  In general it does so by \n  identifying histogram bins that are removed by a median (salt and pepper)\n  filter and below a threshold.  This threshold is automatically identified\n  to retrieve a number of outliers close to a user-determined value.  This\n  value is set by calling Se",
  (char*)"tPreferredNumberOfOutliers(int).\n\n  The image data input can come either as a multiple vtkImageData via the \n  repeatable INPUT_HISTOGRAM_IMAGE_DATA port, or as a single \n  vtkMultiBlockDataSet containing vtkImageData objects as blocks.  One\n  or the other must be set, not both (or neither).\n \n  The output can be retrieved as a set of row ids in a vtkSelection or\n  as a vtkTable containing the act",
  (char*)"ual outlier row data.\n\n\n",
  "See Also:\n\n vtkExtractHistogram2D vtkPComputeHistogram2DOutliers\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n------------------------------------------------------------------------------\n----- ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkComputeHistogram2DOutliersStaticNew()
{
  return vtkComputeHistogram2DOutliers::New();
}

PyObject *PyVTKClass_vtkComputeHistogram2DOutliersNew(char *modulename)
{
  return PyVTKClass_New(&vtkComputeHistogram2DOutliersStaticNew,
                        PyvtkComputeHistogram2DOutliersMethods,
                        (char*)"vtkComputeHistogram2DOutliers",modulename,
                        (char**)vtkComputeHistogram2DOutliersDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

