// python wrapper for vtkPCorrelativeStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPCorrelativeStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPCorrelativeStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPCorrelativeStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCorrelativeStatisticsNew(char *); }

static PyObject *PyvtkPCorrelativeStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCorrelativeStatistics *op;

  const char    *temp20;
  op = (vtkPCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCorrelativeStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCorrelativeStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCorrelativeStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkPCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCorrelativeStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCorrelativeStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCorrelativeStatistics *op;

  vtkPCorrelativeStatistics  *temp20;
  op = (vtkPCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCorrelativeStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCorrelativeStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPCorrelativeStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPCorrelativeStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPCorrelativeStatistics_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCorrelativeStatistics *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCorrelativeStatistics::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPCorrelativeStatistics_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCorrelativeStatistics *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCorrelativeStatistics::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCorrelativeStatistics_Learn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCorrelativeStatistics *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkTable  *temp1;
  PyObject *tempH1;
  vtkDataObject  *temp2;
  PyObject *tempH2;
  op = (vtkPCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkTable *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTable");
    if (!temp1 && tempH1 != Py_None) goto break6;
    temp2 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataObject");
    if (!temp2 && tempH2 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCorrelativeStatistics::Learn(temp0,temp1,temp2);
      }
    else
      {
      op->Learn(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkPCorrelativeStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPCorrelativeStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPCorrelativeStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPCorrelativeStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPCorrelativeStatistics\nC++: vtkPCorrelativeStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPCorrelativeStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPCorrelativeStatistics\nC++: vtkPCorrelativeStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPCorrelativeStatistics_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPCorrelativeStatistics_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {(char*)"Learn",                (PyCFunction)PyvtkPCorrelativeStatistics_Learn, 1,
   (char*)"V.Learn(vtkTable, vtkTable, vtkDataObject)\nC++: virtual void Learn (vtkTable *inData, vtkTable *inParameters, vtkDataObject *outMeta);\n\n Execute the parallel calculations required by the Learn option.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPCorrelativeStatisticsDoc[] = {
  (char*)"vtkPCorrelativeStatistics - A class for parallel bivariate correlative statistics\n\n",
  "Super Class:\n\n vtkCorrelativeStatistics\n\n",
  (char*)" vtkPCorrelativeStatistics is vtkCorrelativeStatistics subclass for parallel datasets.\n It learns and derives the global statistical model on each node, but assesses each \n individual data points on the node that owns it.\n\n",
  NULL
};

static vtkObjectBase *vtkPCorrelativeStatisticsStaticNew()
{
  return vtkPCorrelativeStatistics::New();
}

PyObject *PyVTKClass_vtkPCorrelativeStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPCorrelativeStatisticsStaticNew,
                        PyvtkPCorrelativeStatisticsMethods,
                        (char*)"vtkPCorrelativeStatistics",modulename,
                        (char**)vtkPCorrelativeStatisticsDoc,
                        PyVTKClass_vtkCorrelativeStatisticsNew(modulename));
}

