// python wrapper for vtkPOpenFOAMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPOpenFOAMReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPOpenFOAMReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPOpenFOAMReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkOpenFOAMReaderNew(char *); }

static PyObject *PyvtkPOpenFOAMReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOpenFOAMReader *op;

  const char    *temp20;
  op = (vtkPOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOpenFOAMReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOpenFOAMReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOpenFOAMReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkPOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOpenFOAMReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOpenFOAMReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOpenFOAMReader *op;

  vtkPOpenFOAMReader  *temp20;
  op = (vtkPOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOpenFOAMReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOpenFOAMReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPOpenFOAMReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPOpenFOAMReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPOpenFOAMReader_SetCaseType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOpenFOAMReader *op;

  int      temp0;
  op = (vtkPOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPOpenFOAMReader::SetCaseType(temp0);
      }
    else
      {
      op->SetCaseType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPOpenFOAMReader_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOpenFOAMReader *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPOpenFOAMReader::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPOpenFOAMReader_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOpenFOAMReader *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPOpenFOAMReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOpenFOAMReader::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPOpenFOAMReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPOpenFOAMReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPOpenFOAMReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPOpenFOAMReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPOpenFOAMReader\nC++: vtkPOpenFOAMReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPOpenFOAMReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPOpenFOAMReader\nC++: vtkPOpenFOAMReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCaseType",                (PyCFunction)PyvtkPOpenFOAMReader_SetCaseType, 1,
   (char*)"V.SetCaseType(int)\nC++: void SetCaseType (const int t);\n\n Set and get case type. 0 = decomposed case, 1 = reconstructed case.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPOpenFOAMReader_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Set and get the controller.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPOpenFOAMReader_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Set and get the controller.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPOpenFOAMReaderDoc[] = {
  (char*)"vtkPOpenFOAMReader - reads a decomposed dataset in OpenFOAM format\n\n",
  "Super Class:\n\n vtkOpenFOAMReader\n\n",
  (char*)" vtkPOpenFOAMReader creates a multiblock dataset. It reads\n parallel-decomposed mesh information and time dependent data.  The\n polyMesh folders contain mesh information. The time folders contain\n transient data for the cells. Each folder can contain any number of\n data files.\n\n",
  NULL
};

static vtkObjectBase *vtkPOpenFOAMReaderStaticNew()
{
  return vtkPOpenFOAMReader::New();
}

PyObject *PyVTKClass_vtkPOpenFOAMReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPOpenFOAMReaderStaticNew,
                        PyvtkPOpenFOAMReaderMethods,
                        (char*)"vtkPOpenFOAMReader",modulename,
                        (char**)vtkPOpenFOAMReaderDoc,
                        PyVTKClass_vtkOpenFOAMReaderNew(modulename));
}

