// python wrapper for vtkTemporalInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalInterpolatedVelocityField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalInterpolatedVelocityFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalInterpolatedVelocityFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFunctionSetNew(char *); }

static PyObject *PyvtkTemporalInterpolatedVelocityField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  const char    *temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkTemporalInterpolatedVelocityField  *temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalInterpolatedVelocityField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalInterpolatedVelocityField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SelectVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  char    *temp0;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::SelectVectors(temp0);
      }
    else
      {
      op->SelectVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SetDataSetAtTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  int      temp0;
  int      temp1;
  double   temp2;
  vtkDataSet  *temp3;
  PyObject *tempH3;
  bool   temp4;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"iidOb", &temp0, &temp1, &temp2, &tempH3, &temp4);
  if (op)
    {
    temp3 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataSet");
    if (!temp3 && tempH3 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::SetDataSetAtTime(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetDataSetAtTime(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_GetCachedCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkIdType temp0[2];
  int    temp1[2];
  bool   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"(LL)(ii)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetCachedCellIds(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCachedCellIds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_SetCachedCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkIdType temp0[2];
  int    temp1[2];
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"(LL)(ii)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::SetCachedCellIds(temp0,temp1);
      }
    else
      {
      op->SetCachedCellIds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_ClearCache(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::ClearCache();
      }
    else
      {
      op->ClearCache();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_GetLastGoodVelocity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  double  *temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetLastGoodVelocity();
      }
    else
      {
      temp20 = op->GetLastGoodVelocity();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_GetCurrentWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  double   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::GetCurrentWeight();
      }
    else
      {
      temp20 = op->GetCurrentWeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_InterpolatePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  vtkPointData  *temp0;
  PyObject *tempH0;
  vtkPointData  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  bool   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"OOL", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointData");
    if (!temp0 && tempH0 != Py_None) goto break11;
    temp1 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointData");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::InterpolatePoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->InterpolatePoint(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  int      temp0;
  vtkPointData  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  bool   temp20;
  PyErr_Clear();
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"iOL", &temp0, &tempH1, &temp2);
  if (op)
    {
    temp1 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointData");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::InterpolatePoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->InterpolatePoint(temp0,temp1,temp2);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_ShowCacheResults(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::ShowCacheResults();
      }
    else
      {
      op->ShowCacheResults();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_IsStatic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  int      temp0;
  bool   temp20;
  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolatedVelocityField::IsStatic(temp0);
      }
    else
      {
      temp20 = op->IsStatic(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolatedVelocityField_AdvanceOneTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolatedVelocityField *op;

  op = (vtkTemporalInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolatedVelocityField::AdvanceOneTimeStep();
      }
    else
      {
      op->AdvanceOneTimeStep();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalInterpolatedVelocityFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalInterpolatedVelocityField\nC++: vtkTemporalInterpolatedVelocityField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalInterpolatedVelocityField\nC++: vtkTemporalInterpolatedVelocityField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SelectVectors",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SelectVectors, 1,
   (char*)"V.SelectVectors(string)\nC++: void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName \n\n In order to use this class, two sets of data must be supplied, \n corresponding to times T1 and T2. Data is added via\n this function.\n"},
  {(char*)"SetDataSetAtTime",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SetDataSetAtTime, 1,
   (char*)"V.SetDataSetAtTime(int, int, float, vtkDataSet, bool)\nC++: void SetDataSetAtTime (int I, int N, double T, vtkDataSet *dataset, bool staticdataset);\n\n In order to use this class, two sets of data must be supplied, \n corresponding to times T1 and T2. Data is added via\n this function.\n"},
  {(char*)"GetCachedCellIds",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetCachedCellIds, 1,
   (char*)"V.GetCachedCellIds((long, long), (int, int)) -> bool\nC++: bool GetCachedCellIds (vtkIdType id[2], int ds[2]);\n\n Between iterations of the Particle Tracer, Id's of the Cell\n are stored and then at the start of the next particle the\n Ids are set to 'pre-fill' the cache.\n"},
  {(char*)"SetCachedCellIds",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_SetCachedCellIds, 1,
   (char*)"V.SetCachedCellIds((long, long), (int, int))\nC++: void SetCachedCellIds (vtkIdType id[2], int ds[2]);\n\n Between iterations of the Particle Tracer, Id's of the Cell\n are stored and then at the start of the next particle the\n Ids are set to 'pre-fill' the cache.\n"},
  {(char*)"ClearCache",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_ClearCache, 1,
   (char*)"V.ClearCache()\nC++: void ClearCache ();\n\n Set the last cell id to -1 so that the next search does not\n start from the previous cell\n"},
  {(char*)"GetLastGoodVelocity",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetLastGoodVelocity, 1,
   (char*)"V.GetLastGoodVelocity() -> (float, float, float)\nC++: double  *GetLastGoodVelocity ();\n\n If an interpolation was successful, we can retrieve the last computed\n value from here. Initial value is (0.0,0.0,0.0)\n"},
  {(char*)"GetCurrentWeight",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_GetCurrentWeight, 1,
   (char*)"V.GetCurrentWeight() -> float\nC++: double GetCurrentWeight ();\n\n Get the most recent weight between 0->1 from T1->T2. Initial value is 0.\n"},
  {(char*)"InterpolatePoint",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_InterpolatePoint, 1,
   (char*)"V.InterpolatePoint(vtkPointData, vtkPointData, int) -> bool\nC++: bool InterpolatePoint (vtkPointData *outPD1, vtkPointData *outPD2, vtkIdType outIndex);\nV.InterpolatePoint(int, vtkPointData, int) -> bool\nC++: bool InterpolatePoint (int T, vtkPointData *outPD1, vtkIdType outIndex);\n\n"},
  {(char*)"ShowCacheResults",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_ShowCacheResults, 1,
   (char*)"V.ShowCacheResults()\nC++: void ShowCacheResults ();\n\n"},
  {(char*)"IsStatic",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_IsStatic, 1,
   (char*)"V.IsStatic(int) -> bool\nC++: bool IsStatic (int datasetIndex);\n\n"},
  {(char*)"AdvanceOneTimeStep",                (PyCFunction)PyvtkTemporalInterpolatedVelocityField_AdvanceOneTimeStep, 1,
   (char*)"V.AdvanceOneTimeStep()\nC++: void AdvanceOneTimeStep ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalInterpolatedVelocityFieldDoc[] = {
  (char*)"vtkTemporalInterpolatedVelocityField - A helper class for \n\n",
  "Super Class:\n\n vtkFunctionSet\n\n",
  (char*)" vtkTemporalInterpolatedVelocityField is a general purpose\n helper for the temporal particle tracing code (vtkTemporalStreamTracer)\n\n It maintains two copies of vtkCachingInterpolatedVelocityField internally \n and uses them to obtain velocity values at time T0 and T1. \n\n In fact the class does quite a bit more than this because when the geometry\n of the datasets is the same at T0 and T1, we can re",
  (char*)"-use cached cell Ids and \n weights used in the cell interpolation routines.\n Additionally, the same weights can be used when interpolating (point) scalar \n values and computing vorticity etc.\n\n\n",
  "Caveats:\n\n vtkTemporalInterpolatedVelocityField is probably not thread safe. \n A new instance should be created by each thread.\n\n Datasets are added in lists. The list for T1 must be idential to that for T0\n in structure/topology and dataset order, and any datasets marked as static, \n must remain so for all T - changing a dataset from static to dynamic \n between time steps will result in undefined behaviour (=crash probably)\n\n\n",
  "See Also:\n\n \n vtkCachingInterpolatedVelocityField vtkTemporalStreamTracer\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalInterpolatedVelocityFieldStaticNew()
{
  return vtkTemporalInterpolatedVelocityField::New();
}

PyObject *PyVTKClass_vtkTemporalInterpolatedVelocityFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalInterpolatedVelocityFieldStaticNew,
                        PyvtkTemporalInterpolatedVelocityFieldMethods,
                        (char*)"vtkTemporalInterpolatedVelocityField",modulename,
                        (char**)vtkTemporalInterpolatedVelocityFieldDoc,
                        PyVTKClass_vtkFunctionSetNew(modulename));
}

