// java wrapper for vtkLabelHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelHierarchy.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLabelHierarchy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLabelHierarchy",dType)) { return me; }
  if ((res= vtkPointSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabelHierarchy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  const char    *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabelHierarchy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetPoints_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_ComputeHierarchy_13(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeHierarchy();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetTargetLabelCount_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabelHierarchy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetLabelCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchy_GetTargetLabelCount_15(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  int      temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetLabelCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetMaximumDepth_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabelHierarchy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumDepth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchy_GetMaximumDepth_17(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  int      temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDepth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetTextProperty_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetTextProperty_19(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkTextProperty  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetPriorities_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPriorities(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetPriorities_111(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPriorities();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetLabels_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabels(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetLabels_113(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkAbstractArray  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabels();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetOrientations_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientations(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetOrientations_115(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientations();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetIconIndices_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkIntArray  *temp0;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconIndices(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetIconIndices_117(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkIntArray  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconIndices();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetSizes_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetSizes_119(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSizes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_SetBoundedSizes_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundedSizes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetBoundedSizes_121(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkDataArray  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundedSizes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_GetDiscreteNodeCoordinatesFromWorldPoint_122(JNIEnv *env, jobject obj,jintArray id0,jdoubleArray id1,jint id2)
{
  vtkLabelHierarchy *op;
  int    temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  int      temp2;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = id2;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->GetDiscreteNodeCoordinatesFromWorldPoint(temp0,temp1,temp2);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchy_GetNumberOfCells_123(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkIdType   temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetCell_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabelHierarchy *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_GetCell_125(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLabelHierarchy *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchy_GetCellType_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabelHierarchy *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_GetCellPoints_127(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLabelHierarchy *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchy_GetPointCells_128(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLabelHierarchy *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchy_GetMaxCellSize_129(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  int      temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetCenterPts_130(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkPoints  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenterPts();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchy_GetCoincidentPoints_131(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchy *op;
  vtkCoincidentPoints  *temp20;

  op = (vtkLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoincidentPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLabelHierarchy_VTKInit(JNIEnv *, jobject)
{
  vtkLabelHierarchy *aNewOne = vtkLabelHierarchy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
