// python wrapper for vtkParallelCoordinatesInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParallelCoordinatesInteractorStyle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParallelCoordinatesInteractorStyleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParallelCoordinatesInteractorStyleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorStyleTrackballCameraNew(char *); }

static PyObject *PyvtkParallelCoordinatesInteractorStyle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  const char    *temp20;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesInteractorStyle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  char    *temp0;
  int      temp20;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesInteractorStyle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  vtkParallelCoordinatesInteractorStyle  *temp20;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesInteractorStyle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParallelCoordinatesInteractorStyle  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParallelCoordinatesInteractorStyle::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_GetCursorStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  int     *temp20;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesInteractorStyle::GetCursorStartPosition();
      }
    else
      {
      temp20 = op->GetCursorStartPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  double temp1[2];
  PyErr_Clear();
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::GetCursorStartPosition(temp0,temp1);
      }
    else
      {
      op->GetCursorStartPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_GetCursorCurrentPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  int     *temp20;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesInteractorStyle::GetCursorCurrentPosition();
      }
    else
      {
      temp20 = op->GetCursorCurrentPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  double temp1[2];
  PyErr_Clear();
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::GetCursorCurrentPosition(temp0,temp1);
      }
    else
      {
      op->GetCursorCurrentPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_GetCursorLastPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  int     *temp20;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesInteractorStyle::GetCursorLastPosition();
      }
    else
      {
      temp20 = op->GetCursorLastPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  double temp1[2];
  PyErr_Clear();
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::GetCursorLastPosition(temp0,temp1);
      }
    else
      {
      op->GetCursorLastPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnMouseMove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnMouseMove();
      }
    else
      {
      op->OnMouseMove();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnLeftButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnLeftButtonDown();
      }
    else
      {
      op->OnLeftButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnLeftButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnLeftButtonUp();
      }
    else
      {
      op->OnLeftButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnMiddleButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnMiddleButtonDown();
      }
    else
      {
      op->OnMiddleButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnMiddleButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnMiddleButtonUp();
      }
    else
      {
      op->OnMiddleButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnRightButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnRightButtonDown();
      }
    else
      {
      op->OnRightButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnRightButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnRightButtonUp();
      }
    else
      {
      op->OnRightButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnLeave(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnLeave();
      }
    else
      {
      op->OnLeave();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_StartInspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  int      temp0;
  int      temp1;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::StartInspect(temp0,temp1);
      }
    else
      {
      op->StartInspect(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_Inspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  int      temp0;
  int      temp1;
  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::Inspect(temp0,temp1);
      }
    else
      {
      op->Inspect(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_EndInspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::EndInspect();
      }
    else
      {
      op->EndInspect();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_StartZoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::StartZoom();
      }
    else
      {
      op->StartZoom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_Zoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::Zoom();
      }
    else
      {
      op->Zoom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_EndZoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::EndZoom();
      }
    else
      {
      op->EndZoom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_StartPan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::StartPan();
      }
    else
      {
      op->StartPan();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_Pan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::Pan();
      }
    else
      {
      op->Pan();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_EndPan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::EndPan();
      }
    else
      {
      op->EndPan();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesInteractorStyle_OnChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesInteractorStyle::OnChar();
      }
    else
      {
      op->OnChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParallelCoordinatesInteractorStyleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParallelCoordinatesInteractorStyle\nC++: vtkParallelCoordinatesInteractorStyle *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParallelCoordinatesInteractorStyle\nC++: vtkParallelCoordinatesInteractorStyle *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCursorStartPosition",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_GetCursorStartPosition, 1,
   (char*)"V.GetCursorStartPosition() -> (int, int)\nC++: int  *GetCursorStartPosition ();\nV.GetCursorStartPosition(vtkViewport, (float, float))\nC++: void GetCursorStartPosition (vtkViewport *viewport, double pos[2]);\n\n Get the cursor positions in pixel coords\n"},
  {(char*)"GetCursorCurrentPosition",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_GetCursorCurrentPosition, 1,
   (char*)"V.GetCursorCurrentPosition() -> (int, int)\nC++: int  *GetCursorCurrentPosition ();\nV.GetCursorCurrentPosition(vtkViewport, (float, float))\nC++: void GetCursorCurrentPosition (vtkViewport *viewport, double pos[2]);\n\n Get the cursor positions in pixel coords\n"},
  {(char*)"GetCursorLastPosition",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_GetCursorLastPosition, 1,
   (char*)"V.GetCursorLastPosition() -> (int, int)\nC++: int  *GetCursorLastPosition ();\nV.GetCursorLastPosition(vtkViewport, (float, float))\nC++: void GetCursorLastPosition (vtkViewport *viewport, double pos[2]);\n\n Get the cursor positions in pixel coords\n"},
  {(char*)"OnMouseMove",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnMouseMove, 1,
   (char*)"V.OnMouseMove()\nC++: virtual void OnMouseMove ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnLeftButtonDown",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnLeftButtonDown, 1,
   (char*)"V.OnLeftButtonDown()\nC++: virtual void OnLeftButtonDown ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnLeftButtonUp",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnLeftButtonUp, 1,
   (char*)"V.OnLeftButtonUp()\nC++: virtual void OnLeftButtonUp ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnMiddleButtonDown",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnMiddleButtonDown, 1,
   (char*)"V.OnMiddleButtonDown()\nC++: virtual void OnMiddleButtonDown ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnMiddleButtonUp",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnMiddleButtonUp, 1,
   (char*)"V.OnMiddleButtonUp()\nC++: virtual void OnMiddleButtonUp ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnRightButtonDown",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnRightButtonDown, 1,
   (char*)"V.OnRightButtonDown()\nC++: virtual void OnRightButtonDown ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnRightButtonUp",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnRightButtonUp, 1,
   (char*)"V.OnRightButtonUp()\nC++: virtual void OnRightButtonUp ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnLeave",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnLeave, 1,
   (char*)"V.OnLeave()\nC++: virtual void OnLeave ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"StartInspect",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_StartInspect, 1,
   (char*)"V.StartInspect(int, int)\nC++: virtual void StartInspect (int x, int y);\n\n"},
  {(char*)"Inspect",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_Inspect, 1,
   (char*)"V.Inspect(int, int)\nC++: virtual void Inspect (int x, int y);\n\n"},
  {(char*)"EndInspect",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_EndInspect, 1,
   (char*)"V.EndInspect()\nC++: virtual void EndInspect ();\n\n"},
  {(char*)"StartZoom",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_StartZoom, 1,
   (char*)"V.StartZoom()\nC++: virtual void StartZoom ();\n\n"},
  {(char*)"Zoom",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_Zoom, 1,
   (char*)"V.Zoom()\nC++: virtual void Zoom ();\n\n"},
  {(char*)"EndZoom",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_EndZoom, 1,
   (char*)"V.EndZoom()\nC++: virtual void EndZoom ();\n\n"},
  {(char*)"StartPan",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_StartPan, 1,
   (char*)"V.StartPan()\nC++: virtual void StartPan ();\n\n"},
  {(char*)"Pan",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_Pan, 1,
   (char*)"V.Pan()\nC++: virtual void Pan ();\n\n"},
  {(char*)"EndPan",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_EndPan, 1,
   (char*)"V.EndPan()\nC++: virtual void EndPan ();\n\n"},
  {(char*)"OnChar",                (PyCFunction)PyvtkParallelCoordinatesInteractorStyle_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar ();\n\n Override the \"fly-to\" (f keypress) for images.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParallelCoordinatesInteractorStyleDoc[] = {
  (char*)"vtkParallelCoordinatesInteractorStyle - interactive manipulation of the camera specialized for parallel coordinates\n\n",
  "Super Class:\n\n vtkInteractorStyleTrackballCamera\n\n",
  (char*)" vtkParallelCoordinatesInteractorStyle allows the user to interactively manipulate\n (rotate, pan, zoomm etc.) the camera.\n Several events are overloaded from its superclass\n vtkParallelCoordinatesInteractorStyle, hence the mouse bindings are \n different. (The bindings\n keep the camera's view plane normal perpendicular to the x-y plane.) In\n summary the mouse events are as follows:\n + Left Mouse bu",
  (char*)"tton triggers window level events\n + CTRL Left Mouse spins the camera around its view plane normal\n + SHIFT Left Mouse pans the camera\n + CTRL SHIFT Left Mouse dollys (a positional zoom) the camera\n + Middle mouse button pans the camera\n + Right mouse button dollys the camera.\n + SHIFT Right Mouse triggers pick events\n\n Note that the renderer's actors are not moved; instead the camera is moved.\n\n",
  "See Also:\n\n vtkInteractorStyle vtkInteractorStyleTrackballActor \n vtkInteractorStyleJoystickCamera vtkInteractorStyleJoystickActor\n\n",
  NULL
};

static vtkObjectBase *vtkParallelCoordinatesInteractorStyleStaticNew()
{
  return vtkParallelCoordinatesInteractorStyle::New();
}

PyObject *PyVTKClass_vtkParallelCoordinatesInteractorStyleNew(char *modulename)
{
  return PyVTKClass_New(&vtkParallelCoordinatesInteractorStyleStaticNew,
                        PyvtkParallelCoordinatesInteractorStyleMethods,
                        (char*)"vtkParallelCoordinatesInteractorStyle",modulename,
                        (char**)vtkParallelCoordinatesInteractorStyleDoc,
                        PyVTKClass_vtkInteractorStyleTrackballCameraNew(modulename));
}

