// python wrapper for vtkMinimalStandardRandomSequence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMinimalStandardRandomSequence.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMinimalStandardRandomSequenceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMinimalStandardRandomSequenceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRandomSequenceNew(char *); }

static PyObject *PyvtkMinimalStandardRandomSequence_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  const char    *temp20;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMinimalStandardRandomSequence::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  char    *temp0;
  int      temp20;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMinimalStandardRandomSequence::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  vtkMinimalStandardRandomSequence  *temp20;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMinimalStandardRandomSequence::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMinimalStandardRandomSequence  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMinimalStandardRandomSequence::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_SetSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  int      temp0;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMinimalStandardRandomSequence::SetSeed(temp0);
      }
    else
      {
      op->SetSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_SetSeedOnly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  int      temp0;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMinimalStandardRandomSequence::SetSeedOnly(temp0);
      }
    else
      {
      op->SetSeedOnly(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_GetSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  int      temp20;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMinimalStandardRandomSequence::GetSeed();
      }
    else
      {
      temp20 = op->GetSeed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  double   temp20;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMinimalStandardRandomSequence::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMinimalStandardRandomSequence::Next();
      }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMinimalStandardRandomSequence_GetRangeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMinimalStandardRandomSequence *op;

  double   temp0;
  double   temp1;
  double   temp20;
  op = (vtkMinimalStandardRandomSequence *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMinimalStandardRandomSequence::GetRangeValue(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRangeValue(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMinimalStandardRandomSequenceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMinimalStandardRandomSequence_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMinimalStandardRandomSequence_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMinimalStandardRandomSequence_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMinimalStandardRandomSequence\nC++: vtkMinimalStandardRandomSequence *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMinimalStandardRandomSequence_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMinimalStandardRandomSequence\nC++: vtkMinimalStandardRandomSequence *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSeed",                (PyCFunction)PyvtkMinimalStandardRandomSequence_SetSeed, 1,
   (char*)"V.SetSeed(int)\nC++: void SetSeed (int value);\n\n Set the seed of the random sequence.\n The following pre-condition is stated page 1197, second column:\n valid_seed: value>=1 && value<=2147483646\n 2147483646=(2^31)-2\n This method does not have this criterium as a pre-condition (ie it will\n not fail if an incorrect seed value is passed) but the value is silently\n changed to fit in the valid range [1,2147483646].\n 2147483646 is added to a null or negative value.\n 2147483647 is changed to be 1 (ie 2147483646 is substracted).\n Implementation note: it also performs 3 calls to Next() to avoid the\n bad property that the first random number is proportional to the seed\n value.\n"},
  {(char*)"SetSeedOnly",                (PyCFunction)PyvtkMinimalStandardRandomSequence_SetSeedOnly, 1,
   (char*)"V.SetSeedOnly(int)\nC++: void SetSeedOnly (int value);\n\n Set the seed of the random sequence. There is no extra internal\n ajustment. Only useful for writing correctness test.\n The following pre-condition is stated page 1197, second column\n 2147483646=(2^31)-2\n This method does not have this criterium as a pre-condition (ie it will\n not fail if an incorrect seed value is passed) but the value is silently\n changed to fit in the valid range [1,2147483646].\n 2147483646 is added to a null or negative value.\n 2147483647 is changed to be 1 (ie 2147483646 is substracted).\n"},
  {(char*)"GetSeed",                (PyCFunction)PyvtkMinimalStandardRandomSequence_GetSeed, 1,
   (char*)"V.GetSeed() -> int\nC++: int GetSeed ();\n\n Get the seed of the random sequence.\n Only useful for writing correctness test.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkMinimalStandardRandomSequence_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: virtual double GetValue ();\n\n Current value\n \\post unit_range: result>=0.0 && result<=1.0\n"},
  {(char*)"Next",                (PyCFunction)PyvtkMinimalStandardRandomSequence_Next, 1,
   (char*)"V.Next()\nC++: virtual void Next ();\n\n Move to the next number in the random sequence.\n"},
  {(char*)"GetRangeValue",                (PyCFunction)PyvtkMinimalStandardRandomSequence_GetRangeValue, 1,
   (char*)"V.GetRangeValue(float, float) -> float\nC++: virtual double GetRangeValue (double rangeMin, double rangeMax);\n\n Convenient method to return a value in a specific range from the\n range [0,1. There is an initial implementation that can be overridden\n by a subclass.\n There is no pre-condition on the range:\n - it can be in increasing order: rangeMin<rangeMax\n - it can be empty: rangeMin=rangeMax\n - it can be in decreasing order: rangeMin>rangeMax\n \\post result_in_range:\n (rangeMin<=rangeMax && result>=rangeMin && result<=rangeMax)\n || (rangeMax<=rangeMin && result>=rangeMax && result<=rangeMin)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMinimalStandardRandomSequenceDoc[] = {
  (char*)"vtkMinimalStandardRandomSequence - Park and Miller Sequence of pseudo random numbers\n\n",
  "Super Class:\n\n vtkRandomSequence\n\n",
  (char*)" vtkMinimalStandardRandomSequence is a sequence of statistically independent\n pseudo random numbers uniformly distributed  between 0.0 and 1.0.\n\n The sequence is generated by a prime modulus multiplicative linear\n congruential generator (PMMLCG) or \"Lehmer generator\" with multiplier 16807\n and prime modulus 2^(31)-1. The authors calls it\n \"minimal standard random number generator\"\n\n ref: \"Random N",
  (char*)"umber Generators: Good Ones are Hard to Find,\"\n by Stephen K. Park and Keith W. Miller in Communications of the ACM,\n 31, 10 (Oct. 1988) pp. 1192-1201.\n Code is at page 1195, \"Integer version 2\"\n\n Correctness test is described in first column, page 1195:\n A seed of 1 at step 1 should give a seed of 1043618065 at step 10001.\n\n",
  NULL
};

static vtkObjectBase *vtkMinimalStandardRandomSequenceStaticNew()
{
  return vtkMinimalStandardRandomSequence::New();
}

PyObject *PyVTKClass_vtkMinimalStandardRandomSequenceNew(char *modulename)
{
  return PyVTKClass_New(&vtkMinimalStandardRandomSequenceStaticNew,
                        PyvtkMinimalStandardRandomSequenceMethods,
                        (char*)"vtkMinimalStandardRandomSequence",modulename,
                        (char**)vtkMinimalStandardRandomSequenceDoc,
                        PyVTKClass_vtkRandomSequenceNew(modulename));
}

