// python wrapper for vtkGeoAssignCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoAssignCoordinates.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoAssignCoordinatesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoAssignCoordinatesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkGeoAssignCoordinates_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  const char    *temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  vtkGeoAssignCoordinates  *temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoAssignCoordinates  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoAssignCoordinates::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_SetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  char    *temp0;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAssignCoordinates::SetLongitudeArrayName(temp0);
      }
    else
      {
      op->SetLongitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_GetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  char    *temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::GetLongitudeArrayName();
      }
    else
      {
      temp20 = op->GetLongitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_SetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  char    *temp0;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAssignCoordinates::SetLatitudeArrayName(temp0);
      }
    else
      {
      op->SetLatitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_GetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  char    *temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::GetLatitudeArrayName();
      }
    else
      {
      temp20 = op->GetLatitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_SetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  double   temp0;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAssignCoordinates::SetGlobeRadius(temp0);
      }
    else
      {
      op->SetGlobeRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_GetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  double   temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::GetGlobeRadius();
      }
    else
      {
      temp20 = op->GetGlobeRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAssignCoordinates::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_SetCoordinatesInArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  bool   temp0;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAssignCoordinates::SetCoordinatesInArrays(temp0);
      }
    else
      {
      op->SetCoordinatesInArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_GetCoordinatesInArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  bool   temp20;
  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoAssignCoordinates::GetCoordinatesInArrays();
      }
    else
      {
      temp20 = op->GetCoordinatesInArrays();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_CoordinatesInArraysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAssignCoordinates::CoordinatesInArraysOn();
      }
    else
      {
      op->CoordinatesInArraysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoAssignCoordinates_CoordinatesInArraysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoAssignCoordinates *op;

  op = (vtkGeoAssignCoordinates *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoAssignCoordinates::CoordinatesInArraysOff();
      }
    else
      {
      op->CoordinatesInArraysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoAssignCoordinatesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoAssignCoordinates_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoAssignCoordinates_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoAssignCoordinates_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoAssignCoordinates\nC++: vtkGeoAssignCoordinates *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoAssignCoordinates_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoAssignCoordinates\nC++: vtkGeoAssignCoordinates *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLongitudeArrayName",                (PyCFunction)PyvtkGeoAssignCoordinates_SetLongitudeArrayName, 1,
   (char*)"V.SetLongitudeArrayName(string)\nC++: void SetLongitudeArrayName (char *);\n\n Set the longitude coordinate array name. \n"},
  {(char*)"GetLongitudeArrayName",                (PyCFunction)PyvtkGeoAssignCoordinates_GetLongitudeArrayName, 1,
   (char*)"V.GetLongitudeArrayName() -> string\nC++: char *GetLongitudeArrayName ();\n\n Set the longitude coordinate array name. \n"},
  {(char*)"SetLatitudeArrayName",                (PyCFunction)PyvtkGeoAssignCoordinates_SetLatitudeArrayName, 1,
   (char*)"V.SetLatitudeArrayName(string)\nC++: void SetLatitudeArrayName (char *);\n\n Set the latitude coordinate array name. \n"},
  {(char*)"GetLatitudeArrayName",                (PyCFunction)PyvtkGeoAssignCoordinates_GetLatitudeArrayName, 1,
   (char*)"V.GetLatitudeArrayName() -> string\nC++: char *GetLatitudeArrayName ();\n\n Set the latitude coordinate array name. \n"},
  {(char*)"SetGlobeRadius",                (PyCFunction)PyvtkGeoAssignCoordinates_SetGlobeRadius, 1,
   (char*)"V.SetGlobeRadius(float)\nC++: void SetGlobeRadius (double );\n\n The base radius to use in GLOBAL mode.\n Default is the earth's radius.\n"},
  {(char*)"GetGlobeRadius",                (PyCFunction)PyvtkGeoAssignCoordinates_GetGlobeRadius, 1,
   (char*)"V.GetGlobeRadius() -> float\nC++: double GetGlobeRadius ();\n\n The base radius to use in GLOBAL mode.\n Default is the earth's radius.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkGeoAssignCoordinates_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform (vtkAbstractTransform *trans);\n\n The transform to use to convert coordinates of the form\n (lat, long, 0) to (x, y z). If this is NULL (the default),\n use GlobeRadius to perform a spherical embedding.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoAssignCoordinates_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n The transform to use to convert coordinates of the form\n (lat, long, 0) to (x, y z). If this is NULL (the default),\n use GlobeRadius to perform a spherical embedding.\n"},
  {(char*)"SetCoordinatesInArrays",                (PyCFunction)PyvtkGeoAssignCoordinates_SetCoordinatesInArrays, 1,
   (char*)"V.SetCoordinatesInArrays(bool)\nC++: void SetCoordinatesInArrays (bool );\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.\n"},
  {(char*)"GetCoordinatesInArrays",                (PyCFunction)PyvtkGeoAssignCoordinates_GetCoordinatesInArrays, 1,
   (char*)"V.GetCoordinatesInArrays() -> bool\nC++: bool GetCoordinatesInArrays ();\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.\n"},
  {(char*)"CoordinatesInArraysOn",                (PyCFunction)PyvtkGeoAssignCoordinates_CoordinatesInArraysOn, 1,
   (char*)"V.CoordinatesInArraysOn()\nC++: void CoordinatesInArraysOn ();\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.\n"},
  {(char*)"CoordinatesInArraysOff",                (PyCFunction)PyvtkGeoAssignCoordinates_CoordinatesInArraysOff, 1,
   (char*)"V.CoordinatesInArraysOff()\nC++: void CoordinatesInArraysOff ();\n\n If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoAssignCoordinatesDoc[] = {
  (char*)"vtkGeoAssignCoordinates - Given latitude and longitude arrays, \n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" Givem latitude and longitude arrays, \n take the values in those arrays and convert them to x,y,z world coordinates.\n Uses a spherical model of the earth to do the conversion.\n The position is in meters relative to the center of the earth.\n\n If a transform is given, use the transform to convert latitude and longitude\n to the world coordinate.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoAssignCoordinatesStaticNew()
{
  return vtkGeoAssignCoordinates::New();
}

PyObject *PyVTKClass_vtkGeoAssignCoordinatesNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoAssignCoordinatesStaticNew,
                        PyvtkGeoAssignCoordinatesMethods,
                        (char*)"vtkGeoAssignCoordinates",modulename,
                        (char**)vtkGeoAssignCoordinatesDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

