// python wrapper for vtkAddMembershipArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAddMembershipArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAddMembershipArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAddMembershipArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkAddMembershipArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  const char    *temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  vtkAddMembershipArray  *temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAddMembershipArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAddMembershipArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  int      temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  int      temp0;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAddMembershipArray::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_GetFieldTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  int      temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::GetFieldTypeMinValue();
      }
    else
      {
      temp20 = op->GetFieldTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_GetFieldTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  int      temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::GetFieldTypeMaxValue();
      }
    else
      {
      temp20 = op->GetFieldTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_SetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  char    *temp0;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAddMembershipArray::SetOutputArrayName(temp0);
      }
    else
      {
      op->SetOutputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_GetOutputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  char    *temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::GetOutputArrayName();
      }
    else
      {
      temp20 = op->GetOutputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_SetInputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  char    *temp0;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAddMembershipArray::SetInputArrayName(temp0);
      }
    else
      {
      op->SetInputArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_GetInputArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  char    *temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::GetInputArrayName();
      }
    else
      {
      temp20 = op->GetInputArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_SetInputValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkAddMembershipArray::SetInputValues(temp0);
      }
    else
      {
      op->SetInputValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkAddMembershipArray_GetInputValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAddMembershipArray *op;

  vtkAbstractArray  *temp20;
  op = (vtkAddMembershipArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAddMembershipArray::GetInputValues();
      }
    else
      {
      temp20 = op->GetInputValues();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAddMembershipArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAddMembershipArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAddMembershipArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAddMembershipArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAddMembershipArray\nC++: vtkAddMembershipArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAddMembershipArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAddMembershipArray\nC++: vtkAddMembershipArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkAddMembershipArray_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType ();\n\n The field type to add the membership array to.\n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkAddMembershipArray_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType (int );\n\n The field type to add the membership array to.\n"},
  {(char*)"GetFieldTypeMinValue",                (PyCFunction)PyvtkAddMembershipArray_GetFieldTypeMinValue, 1,
   (char*)"V.GetFieldTypeMinValue() -> int\nC++: int GetFieldTypeMinValue ();\n\n The field type to add the membership array to.\n"},
  {(char*)"GetFieldTypeMaxValue",                (PyCFunction)PyvtkAddMembershipArray_GetFieldTypeMaxValue, 1,
   (char*)"V.GetFieldTypeMaxValue() -> int\nC++: int GetFieldTypeMaxValue ();\n\n The field type to add the membership array to.\n"},
  {(char*)"SetOutputArrayName",                (PyCFunction)PyvtkAddMembershipArray_SetOutputArrayName, 1,
   (char*)"V.SetOutputArrayName(string)\nC++: void SetOutputArrayName (char *);\n\n The name of the array added to the output vtkDataSetAttributes \n indicating membership. Defaults to \"membership\".\n"},
  {(char*)"GetOutputArrayName",                (PyCFunction)PyvtkAddMembershipArray_GetOutputArrayName, 1,
   (char*)"V.GetOutputArrayName() -> string\nC++: char *GetOutputArrayName ();\n\n The name of the array added to the output vtkDataSetAttributes \n indicating membership. Defaults to \"membership\".\n"},
  {(char*)"SetInputArrayName",                (PyCFunction)PyvtkAddMembershipArray_SetInputArrayName, 1,
   (char*)"V.SetInputArrayName(string)\nC++: void SetInputArrayName (char *);\n\n"},
  {(char*)"GetInputArrayName",                (PyCFunction)PyvtkAddMembershipArray_GetInputArrayName, 1,
   (char*)"V.GetInputArrayName() -> string\nC++: char *GetInputArrayName ();\n\n"},
  {(char*)"SetInputValues",                (PyCFunction)PyvtkAddMembershipArray_SetInputValues, 1,
   (char*)"V.SetInputValues(vtkAbstractArray)\nC++: void SetInputValues (vtkAbstractArray *);\n\n"},
  {(char*)"GetInputValues",                (PyCFunction)PyvtkAddMembershipArray_GetInputValues, 1,
   (char*)"V.GetInputValues() -> vtkAbstractArray\nC++: vtkAbstractArray *GetInputValues ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAddMembershipArrayDoc[] = {
  (char*)"vtkAddMembershipArray - Add an array to the output indicating \n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" This filter takes an input selection, vtkDataSetAttribute\n information, and data object and adds a bit array to the output \n vtkDataSetAttributes indicating whether each index was selected or not.\n\n",
  NULL
};

static vtkObjectBase *vtkAddMembershipArrayStaticNew()
{
  return vtkAddMembershipArray::New();
}

PyObject *PyVTKClass_vtkAddMembershipArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkAddMembershipArrayStaticNew,
                        PyvtkAddMembershipArrayMethods,
                        (char*)"vtkAddMembershipArray",modulename,
                        (char**)vtkAddMembershipArrayDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

