// python wrapper for vtkAssignCoordinatesLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAssignCoordinatesLayoutStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssignCoordinatesLayoutStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssignCoordinatesLayoutStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphLayoutStrategyNew(char *); }

static PyObject *PyvtkAssignCoordinatesLayoutStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  const char    *temp20;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinatesLayoutStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinatesLayoutStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  vtkAssignCoordinatesLayoutStrategy  *temp20;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinatesLayoutStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssignCoordinatesLayoutStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssignCoordinatesLayoutStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_SetXCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  char    *temp0;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinatesLayoutStrategy::SetXCoordArrayName(temp0);
      }
    else
      {
      op->SetXCoordArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_GetXCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  const char    *temp20;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinatesLayoutStrategy::GetXCoordArrayName();
      }
    else
      {
      temp20 = op->GetXCoordArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_SetYCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  char    *temp0;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinatesLayoutStrategy::SetYCoordArrayName(temp0);
      }
    else
      {
      op->SetYCoordArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_GetYCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  const char    *temp20;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinatesLayoutStrategy::GetYCoordArrayName();
      }
    else
      {
      temp20 = op->GetYCoordArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_SetZCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  char    *temp0;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinatesLayoutStrategy::SetZCoordArrayName(temp0);
      }
    else
      {
      op->SetZCoordArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_GetZCoordArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  const char    *temp20;
  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignCoordinatesLayoutStrategy::GetZCoordArrayName();
      }
    else
      {
      temp20 = op->GetZCoordArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignCoordinatesLayoutStrategy_Layout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignCoordinatesLayoutStrategy *op;

  op = (vtkAssignCoordinatesLayoutStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignCoordinatesLayoutStrategy::Layout();
      }
    else
      {
      op->Layout();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAssignCoordinatesLayoutStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssignCoordinatesLayoutStrategy\nC++: vtkAssignCoordinatesLayoutStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssignCoordinatesLayoutStrategy\nC++: vtkAssignCoordinatesLayoutStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXCoordArrayName",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_SetXCoordArrayName, 1,
   (char*)"V.SetXCoordArrayName(string)\nC++: virtual void SetXCoordArrayName (const char *name);\n\n The array to use for the x coordinate values.\n"},
  {(char*)"GetXCoordArrayName",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_GetXCoordArrayName, 1,
   (char*)"V.GetXCoordArrayName() -> string\nC++: virtual const char *GetXCoordArrayName ();\n\n The array to use for the x coordinate values.\n"},
  {(char*)"SetYCoordArrayName",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_SetYCoordArrayName, 1,
   (char*)"V.SetYCoordArrayName(string)\nC++: virtual void SetYCoordArrayName (const char *name);\n\n The array to use for the y coordinate values.\n"},
  {(char*)"GetYCoordArrayName",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_GetYCoordArrayName, 1,
   (char*)"V.GetYCoordArrayName() -> string\nC++: virtual const char *GetYCoordArrayName ();\n\n The array to use for the y coordinate values.\n"},
  {(char*)"SetZCoordArrayName",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_SetZCoordArrayName, 1,
   (char*)"V.SetZCoordArrayName(string)\nC++: virtual void SetZCoordArrayName (const char *name);\n\n The array to use for the z coordinate values.\n"},
  {(char*)"GetZCoordArrayName",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_GetZCoordArrayName, 1,
   (char*)"V.GetZCoordArrayName() -> string\nC++: virtual const char *GetZCoordArrayName ();\n\n The array to use for the z coordinate values.\n"},
  {(char*)"Layout",                (PyCFunction)PyvtkAssignCoordinatesLayoutStrategy_Layout, 1,
   (char*)"V.Layout()\nC++: void Layout ();\n\n Perform the random layout.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssignCoordinatesLayoutStrategyDoc[] = {
  (char*)"vtkAssignCoordinatesLayoutStrategy - uses array values to set vertex locations\n\n",
  "Super Class:\n\n vtkGraphLayoutStrategy\n\n",
  (char*)" Uses vtkAssignCoordinates to use values from arrays as the x, y, and z coordinates.\n\n",
  NULL
};

static vtkObjectBase *vtkAssignCoordinatesLayoutStrategyStaticNew()
{
  return vtkAssignCoordinatesLayoutStrategy::New();
}

PyObject *PyVTKClass_vtkAssignCoordinatesLayoutStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssignCoordinatesLayoutStrategyStaticNew,
                        PyvtkAssignCoordinatesLayoutStrategyMethods,
                        (char*)"vtkAssignCoordinatesLayoutStrategy",modulename,
                        (char**)vtkAssignCoordinatesLayoutStrategyDoc,
                        PyVTKClass_vtkGraphLayoutStrategyNew(modulename));
}

