// python wrapper for vtkPBivariateLinearTableThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPBivariateLinearTableThreshold.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPBivariateLinearTableThresholdNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPBivariateLinearTableThresholdNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBivariateLinearTableThresholdNew(char *); }

static PyObject *PyvtkPBivariateLinearTableThreshold_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPBivariateLinearTableThreshold *op;

  const char    *temp20;
  op = (vtkPBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPBivariateLinearTableThreshold::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPBivariateLinearTableThreshold_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPBivariateLinearTableThreshold *op;

  char    *temp0;
  int      temp20;
  op = (vtkPBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPBivariateLinearTableThreshold::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPBivariateLinearTableThreshold_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPBivariateLinearTableThreshold *op;

  vtkPBivariateLinearTableThreshold  *temp20;
  op = (vtkPBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPBivariateLinearTableThreshold::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPBivariateLinearTableThreshold_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPBivariateLinearTableThreshold  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPBivariateLinearTableThreshold::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPBivariateLinearTableThreshold_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPBivariateLinearTableThreshold *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPBivariateLinearTableThreshold::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPBivariateLinearTableThreshold_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPBivariateLinearTableThreshold *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPBivariateLinearTableThreshold::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPBivariateLinearTableThresholdMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPBivariateLinearTableThreshold_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPBivariateLinearTableThreshold_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPBivariateLinearTableThreshold_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPBivariateLinearTableThreshold\nC++: vtkPBivariateLinearTableThreshold *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPBivariateLinearTableThreshold_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPBivariateLinearTableThreshold\nC++: vtkPBivariateLinearTableThreshold *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPBivariateLinearTableThreshold_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Set the vtkMultiProcessController to be used for combining filter\n results from the individual nodes.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPBivariateLinearTableThreshold_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Set the vtkMultiProcessController to be used for combining filter\n results from the individual nodes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPBivariateLinearTableThresholdDoc[] = {
  (char*)"vtkPBivariateLinearTableThreshold - performs line-based thresholding\n\n",
  "Super Class:\n\n vtkBivariateLinearTableThreshold\n\n",
  (char*)" Perform the table filtering operations provided by \n vtkBivariateLinearTableThreshold in parallel.\n\n",
  NULL
};

static vtkObjectBase *vtkPBivariateLinearTableThresholdStaticNew()
{
  return vtkPBivariateLinearTableThreshold::New();
}

PyObject *PyVTKClass_vtkPBivariateLinearTableThresholdNew(char *modulename)
{
  return PyVTKClass_New(&vtkPBivariateLinearTableThresholdStaticNew,
                        PyvtkPBivariateLinearTableThresholdMethods,
                        (char*)"vtkPBivariateLinearTableThreshold",modulename,
                        (char**)vtkPBivariateLinearTableThresholdDoc,
                        PyVTKClass_vtkBivariateLinearTableThresholdNew(modulename));
}

