// python wrapper for vtkPComputeHistogram2DOutliers object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPComputeHistogram2DOutliers.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPComputeHistogram2DOutliersNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPComputeHistogram2DOutliersNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkComputeHistogram2DOutliersNew(char *); }

static PyObject *PyvtkPComputeHistogram2DOutliers_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPComputeHistogram2DOutliers *op;

  const char    *temp20;
  op = (vtkPComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPComputeHistogram2DOutliers::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPComputeHistogram2DOutliers_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPComputeHistogram2DOutliers *op;

  char    *temp0;
  int      temp20;
  op = (vtkPComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPComputeHistogram2DOutliers::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPComputeHistogram2DOutliers_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPComputeHistogram2DOutliers *op;

  vtkPComputeHistogram2DOutliers  *temp20;
  op = (vtkPComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPComputeHistogram2DOutliers::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPComputeHistogram2DOutliers_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPComputeHistogram2DOutliers  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPComputeHistogram2DOutliers::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPComputeHistogram2DOutliers_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPComputeHistogram2DOutliers *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPComputeHistogram2DOutliers::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPComputeHistogram2DOutliers_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPComputeHistogram2DOutliers *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPComputeHistogram2DOutliers *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPComputeHistogram2DOutliers::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPComputeHistogram2DOutliersMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPComputeHistogram2DOutliers_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPComputeHistogram2DOutliers_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPComputeHistogram2DOutliers_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPComputeHistogram2DOutliers\nC++: vtkPComputeHistogram2DOutliers *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPComputeHistogram2DOutliers_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPComputeHistogram2DOutliers\nC++: vtkPComputeHistogram2DOutliers *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPComputeHistogram2DOutliers_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPComputeHistogram2DOutliers_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPComputeHistogram2DOutliersDoc[] = {
  (char*)"vtkPComputeHistogram2DOutliers - extract outlier rows from\n\n",
  "Super Class:\n\n vtkComputeHistogram2DOutliers\n\n",
  (char*)"  This class does exactly the same this as vtkComputeHistogram2DOutliers,\n  but does it in a multi-process environment.  After each node\n  computes their own local outliers, class does an AllGather\n  that distributes the outliers to every node.  This could probably just\n  be a Gather onto the root node instead.\n\n  After this operation, the row selection will only contain local row ids,\n  since I'm",
  (char*)" not sure how to deal with distributed ids.\n\n\n",
  "See Also:\n\n vtkComputeHistogram2DOutliers\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n------------------------------------------------------------------------------\n----- ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkPComputeHistogram2DOutliersStaticNew()
{
  return vtkPComputeHistogram2DOutliers::New();
}

PyObject *PyVTKClass_vtkPComputeHistogram2DOutliersNew(char *modulename)
{
  return PyVTKClass_New(&vtkPComputeHistogram2DOutliersStaticNew,
                        PyvtkPComputeHistogram2DOutliersMethods,
                        (char*)"vtkPComputeHistogram2DOutliers",modulename,
                        (char**)vtkPComputeHistogram2DOutliersDoc,
                        PyVTKClass_vtkComputeHistogram2DOutliersNew(modulename));
}

