// java wrapper for vtkStreamGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamGraph.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamGraph",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;
  const char    *temp20;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamGraph_SetMaxEdges_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamGraph *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamGraph_GetMaxEdges_13(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;
  vtkIdType   temp20;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxEdges();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStreamGraph_VTKInit(JNIEnv *, jobject)
{
  vtkStreamGraph *aNewOne = vtkStreamGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
