// python wrapper for vtkChooserPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkChooserPainter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChooserPainterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChooserPainterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPainterNew(char *); }

static PyObject *PyvtkChooserPainter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  const char    *temp20;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChooserPainter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChooserPainter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  char    *temp0;
  int      temp20;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChooserPainter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChooserPainter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  vtkChooserPainter  *temp20;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChooserPainter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChooserPainter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkChooserPainter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkChooserPainter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkChooserPainter_SetVertPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  vtkPolyDataPainter  *temp0;
  PyObject *tempH0;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyDataPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyDataPainter");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkChooserPainter::SetVertPainter(temp0);
      }
    else
      {
      op->SetVertPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkChooserPainter_SetLinePainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  vtkPolyDataPainter  *temp0;
  PyObject *tempH0;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyDataPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyDataPainter");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkChooserPainter::SetLinePainter(temp0);
      }
    else
      {
      op->SetLinePainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkChooserPainter_SetPolyPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  vtkPolyDataPainter  *temp0;
  PyObject *tempH0;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyDataPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyDataPainter");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkChooserPainter::SetPolyPainter(temp0);
      }
    else
      {
      op->SetPolyPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkChooserPainter_SetStripPainter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  vtkPolyDataPainter  *temp0;
  PyObject *tempH0;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyDataPainter *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyDataPainter");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkChooserPainter::SetStripPainter(temp0);
      }
    else
      {
      op->SetStripPainter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkChooserPainter_SetUseLinesPainterForWireframes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  int      temp0;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChooserPainter::SetUseLinesPainterForWireframes(temp0);
      }
    else
      {
      op->SetUseLinesPainterForWireframes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChooserPainter_GetUseLinesPainterForWireframes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  int      temp20;
  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChooserPainter::GetUseLinesPainterForWireframes();
      }
    else
      {
      temp20 = op->GetUseLinesPainterForWireframes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChooserPainter_UseLinesPainterForWireframesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChooserPainter::UseLinesPainterForWireframesOn();
      }
    else
      {
      op->UseLinesPainterForWireframesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChooserPainter_UseLinesPainterForWireframesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChooserPainter *op;

  op = (vtkChooserPainter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChooserPainter::UseLinesPainterForWireframesOff();
      }
    else
      {
      op->UseLinesPainterForWireframesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkChooserPainterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkChooserPainter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkChooserPainter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkChooserPainter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChooserPainter\nC++: vtkChooserPainter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkChooserPainter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkChooserPainter\nC++: vtkChooserPainter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVertPainter",                (PyCFunction)PyvtkChooserPainter_SetVertPainter, 1,
   (char*)"V.SetVertPainter(vtkPolyDataPainter)\nC++: void SetVertPainter (vtkPolyDataPainter *);\n\n"},
  {(char*)"SetLinePainter",                (PyCFunction)PyvtkChooserPainter_SetLinePainter, 1,
   (char*)"V.SetLinePainter(vtkPolyDataPainter)\nC++: void SetLinePainter (vtkPolyDataPainter *);\n\n"},
  {(char*)"SetPolyPainter",                (PyCFunction)PyvtkChooserPainter_SetPolyPainter, 1,
   (char*)"V.SetPolyPainter(vtkPolyDataPainter)\nC++: void SetPolyPainter (vtkPolyDataPainter *);\n\n"},
  {(char*)"SetStripPainter",                (PyCFunction)PyvtkChooserPainter_SetStripPainter, 1,
   (char*)"V.SetStripPainter(vtkPolyDataPainter)\nC++: void SetStripPainter (vtkPolyDataPainter *);\n\n"},
  {(char*)"SetUseLinesPainterForWireframes",                (PyCFunction)PyvtkChooserPainter_SetUseLinesPainterForWireframes, 1,
   (char*)"V.SetUseLinesPainterForWireframes(int)\nC++: void SetUseLinesPainterForWireframes (int );\n\n When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n"},
  {(char*)"GetUseLinesPainterForWireframes",                (PyCFunction)PyvtkChooserPainter_GetUseLinesPainterForWireframes, 1,
   (char*)"V.GetUseLinesPainterForWireframes() -> int\nC++: int GetUseLinesPainterForWireframes ();\n\n When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n"},
  {(char*)"UseLinesPainterForWireframesOn",                (PyCFunction)PyvtkChooserPainter_UseLinesPainterForWireframesOn, 1,
   (char*)"V.UseLinesPainterForWireframesOn()\nC++: void UseLinesPainterForWireframesOn ();\n\n When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n"},
  {(char*)"UseLinesPainterForWireframesOff",                (PyCFunction)PyvtkChooserPainter_UseLinesPainterForWireframesOff, 1,
   (char*)"V.UseLinesPainterForWireframesOff()\nC++: void UseLinesPainterForWireframesOff ();\n\n When set, the lines painter is used for drawing wireframes (off by\n default, except on Mac, where it's on by default).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkChooserPainterDoc[] = {
  (char*)"vtkChooserPainter - Painter that selects painters to render\n\n",
  "Super Class:\n\n vtkPolyDataPainter\n\n",
  (char*)"\n This painter does not actually do any painting.  Instead, it picks other\n painters based on the current state of itself and its poly data.  It then\n delegates the work to these other painters.\n\n\n",
  NULL
};

static vtkObjectBase *vtkChooserPainterStaticNew()
{
  return vtkChooserPainter::New();
}

PyObject *PyVTKClass_vtkChooserPainterNew(char *modulename)
{
  return PyVTKClass_New(&vtkChooserPainterStaticNew,
                        PyvtkChooserPainterMethods,
                        (char*)"vtkChooserPainter",modulename,
                        (char**)vtkChooserPainterDoc,
                        PyVTKClass_vtkPolyDataPainterNew(modulename));
}

