// python wrapper for vtkShadowMapPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShadowMapPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShadowMapPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShadowMapPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderPassNew(char *); }

static PyObject *PyvtkShadowMapPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  const char    *temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  char    *temp0;
  int      temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  vtkShadowMapPass  *temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkShadowMapPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkShadowMapPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkShadowMapPass_OCCLUDER(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkShadowMapPass::OCCLUDER();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_RECEIVER(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkShadowMapPass::RECEIVER();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkShadowMapPass::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkShadowMapPass_GetOpaquePass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  vtkRenderPass  *temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::GetOpaquePass();
      }
    else
      {
      temp20 = op->GetOpaquePass();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_SetOpaquePass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  vtkRenderPass  *temp0;
  PyObject *tempH0;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderPass *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderPass");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkShadowMapPass::SetOpaquePass(temp0);
      }
    else
      {
      op->SetOpaquePass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkShadowMapPass_GetCompositeZPass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  vtkRenderPass  *temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::GetCompositeZPass();
      }
    else
      {
      temp20 = op->GetCompositeZPass();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_SetCompositeZPass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  vtkRenderPass  *temp0;
  PyObject *tempH0;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderPass *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderPass");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkShadowMapPass::SetCompositeZPass(temp0);
      }
    else
      {
      op->SetCompositeZPass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkShadowMapPass_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  unsigned int      temp0;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShadowMapPass::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  unsigned int      temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_SetPolygonOffsetFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  float    temp0;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShadowMapPass::SetPolygonOffsetFactor(temp0);
      }
    else
      {
      op->SetPolygonOffsetFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_GetPolygonOffsetFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  float    temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::GetPolygonOffsetFactor();
      }
    else
      {
      temp20 = op->GetPolygonOffsetFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_SetPolygonOffsetUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  float    temp0;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShadowMapPass::SetPolygonOffsetUnits(temp0);
      }
    else
      {
      op->SetPolygonOffsetUnits(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShadowMapPass_GetPolygonOffsetUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShadowMapPass *op;

  float    temp20;
  op = (vtkShadowMapPass *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShadowMapPass::GetPolygonOffsetUnits();
      }
    else
      {
      temp20 = op->GetPolygonOffsetUnits();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShadowMapPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShadowMapPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShadowMapPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShadowMapPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShadowMapPass\nC++: vtkShadowMapPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkShadowMapPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkShadowMapPass\nC++: vtkShadowMapPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"OCCLUDER",                (PyCFunction)PyvtkShadowMapPass_OCCLUDER, 1,
   (char*)"V.OCCLUDER() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *OCCLUDER ();\n\n If this key exists on the PropertyKeys of a prop, the prop is viewed as a\n light occluder (ie it casts shadows). This key is not mutually exclusive\n with the RECEIVER() key.\n"},
  {(char*)"RECEIVER",                (PyCFunction)PyvtkShadowMapPass_RECEIVER, 1,
   (char*)"V.RECEIVER() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *RECEIVER ();\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkShadowMapPass_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *w);\n\n Release graphics resources and ask components to release their own\n resources.\n \\pre w_exists: w!=0\n"},
  {(char*)"GetOpaquePass",                (PyCFunction)PyvtkShadowMapPass_GetOpaquePass, 1,
   (char*)"V.GetOpaquePass() -> vtkRenderPass\nC++: vtkRenderPass *GetOpaquePass ();\n\n Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetOpaquePass",                (PyCFunction)PyvtkShadowMapPass_SetOpaquePass, 1,
   (char*)"V.SetOpaquePass(vtkRenderPass)\nC++: virtual void SetOpaquePass (vtkRenderPass *opaquePass);\n\n Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n"},
  {(char*)"GetCompositeZPass",                (PyCFunction)PyvtkShadowMapPass_GetCompositeZPass, 1,
   (char*)"V.GetCompositeZPass() -> vtkRenderPass\nC++: vtkRenderPass *GetCompositeZPass ();\n\n Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetCompositeZPass",                (PyCFunction)PyvtkShadowMapPass_SetCompositeZPass, 1,
   (char*)"V.SetCompositeZPass(vtkRenderPass)\nC++: virtual void SetCompositeZPass (vtkRenderPass *opaquePass);\n\n Delegate for rendering the opaque polygonal geometry.\n If it is NULL, nothing will be rendered and a warning will be emitted.\n It is usually set to a vtkTranslucentPass.\n Initial value is a NULL pointer.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkShadowMapPass_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (unsigned int );\n\n Set/Get the number of pixels in each dimension of the shadow maps\n (shadow maps are square). Initial value is 256. The greater the better.\n Resolution does not have to be a power-of-two value.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkShadowMapPass_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int unsigned GetResolution ();\n\n Set/Get the number of pixels in each dimension of the shadow maps\n (shadow maps are square). Initial value is 256. The greater the better.\n Resolution does not have to be a power-of-two value.\n"},
  {(char*)"SetPolygonOffsetFactor",                (PyCFunction)PyvtkShadowMapPass_SetPolygonOffsetFactor, 1,
   (char*)"V.SetPolygonOffsetFactor(float)\nC++: void SetPolygonOffsetFactor (float );\n\n Factor used to scale the maximum depth slope of a polygon (definition\n from OpenGL 2.1 spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetUnits to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 1.1f (recommended by the nVidia presentation about\n Shadow Mapping by Cass Everitt). 3.1f works well with the regression test.\n"},
  {(char*)"GetPolygonOffsetFactor",                (PyCFunction)PyvtkShadowMapPass_GetPolygonOffsetFactor, 1,
   (char*)"V.GetPolygonOffsetFactor() -> float\nC++: float GetPolygonOffsetFactor ();\n\n Factor used to scale the maximum depth slope of a polygon (definition\n from OpenGL 2.1 spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetUnits to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 1.1f (recommended by the nVidia presentation about\n Shadow Mapping by Cass Everitt). 3.1f works well with the regression test.\n"},
  {(char*)"SetPolygonOffsetUnits",                (PyCFunction)PyvtkShadowMapPass_SetPolygonOffsetUnits, 1,
   (char*)"V.SetPolygonOffsetUnits(float)\nC++: void SetPolygonOffsetUnits (float );\n\n Factor used to scale an implementation dependent constant that relates\n to the usable resolution of the depth buffer (definition from OpenGL 2.1\n spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetFactor to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 4.0f (recommended by the nVidia presentation about\n Shadow Mapping by Cass Everitt). 10.0f works well with the regression\n test.\n"},
  {(char*)"GetPolygonOffsetUnits",                (PyCFunction)PyvtkShadowMapPass_GetPolygonOffsetUnits, 1,
   (char*)"V.GetPolygonOffsetUnits() -> float\nC++: float GetPolygonOffsetUnits ();\n\n Factor used to scale an implementation dependent constant that relates\n to the usable resolution of the depth buffer (definition from OpenGL 2.1\n spec section 3.5.5 \"Depth Offset\" page 112). This is\n used during the creation the shadow maps (not during mapping of the\n shadow maps onto the geometry)\n Play with this value and PolygonOffsetFactor to solve self-shadowing.\n Valid values can be either positive or negative.\n Initial value is 4.0f (recommended by the nVidia presentation about\n Shadow Mapping by Cass Everitt). 10.0f works well with the regression\n test.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShadowMapPassDoc[] = {
  (char*)"vtkShadowMapPass - Implement a shadow mapping render pass.\n\n",
  "Super Class:\n\n vtkRenderPass\n\n",
  (char*)" Render the opaque polygonal geometry of a scene with shadow maps (a\n technique to render hard shadows in hardware).\n\n This pass expects an initialized depth buffer and color buffer.\n Initialized buffers means they have been cleared with farest z-value and\n background color/gradient/transparent color.\n An opaque pass may have been performed right after the initialization.\n\n\n\n Its delegate is usual",
  (char*)"ly set to a vtkOpaquePass.\n\n .SECTION Implementation\n The first pass of the algorithm is to generate a shadow map per light\n (depth map from the light point of view) by rendering the opaque objects\n with the OCCLUDER property keys.\n The second pass is to render the opaque objects with the RECEIVER keys.\n\n\n",
  "See Also:\n\n vtkRenderPass, vtkOpaquePass\n\n",
  NULL
};

static vtkObjectBase *vtkShadowMapPassStaticNew()
{
  return vtkShadowMapPass::New();
}

PyObject *PyVTKClass_vtkShadowMapPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkShadowMapPassStaticNew,
                        PyvtkShadowMapPassMethods,
                        (char*)"vtkShadowMapPass",modulename,
                        (char**)vtkShadowMapPassDoc,
                        PyVTKClass_vtkRenderPassNew(modulename));
}

