// java wrapper for vtkWindowToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindowToImageFilter.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWindowToImageFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWindowToImageFilter",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWindowToImageFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  const char    *temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindowToImageFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindowToImageFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWindowToImageFilter *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWindowToImageFilter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  vtkWindow  *temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetMagnification_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindowToImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnification(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindowToImageFilter_GetMagnificationMinValue_15(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  int      temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnificationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindowToImageFilter_GetMagnificationMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  int      temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnificationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindowToImageFilter_GetMagnification_17(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  int      temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnification();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_ReadFrontBufferOn_18(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadFrontBufferOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_ReadFrontBufferOff_19(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadFrontBufferOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindowToImageFilter_GetReadFrontBuffer_110(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  int      temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadFrontBuffer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetReadFrontBuffer_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindowToImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadFrontBuffer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_ShouldRerenderOn_112(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ShouldRerenderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_ShouldRerenderOff_113(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ShouldRerenderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetShouldRerender_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindowToImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShouldRerender(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindowToImageFilter_GetShouldRerender_115(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  int      temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShouldRerender();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetViewport_116(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkWindowToImageFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewport(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetViewport_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWindowToImageFilter *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewport(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWindowToImageFilter_GetViewport_118(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  double  *temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewport();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetInputBufferType_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindowToImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputBufferType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindowToImageFilter_GetInputBufferType_120(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  int      temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputBufferType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetInputBufferTypeToRGB_121(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputBufferTypeToRGB();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetInputBufferTypeToRGBA_122(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputBufferTypeToRGBA();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindowToImageFilter_SetInputBufferTypeToZBuffer_123(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputBufferTypeToZBuffer();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWindowToImageFilter_GetOutput_124(JNIEnv *env, jobject obj)
{
  vtkWindowToImageFilter *op;
  vtkImageData  *temp20;

  op = (vtkWindowToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWindowToImageFilter_VTKInit(JNIEnv *, jobject)
{
  vtkWindowToImageFilter *aNewOne = vtkWindowToImageFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
