// java wrapper for vtkContourWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContourWidget.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContourWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContourWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContourWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;
  const char    *temp20;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContourWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourWidget *op;
  vtkContourRepresentation  *temp0;
  temp0 = (vtkContourRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_CreateDefaultRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_CloseLoop_15(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CloseLoop();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_SetAllowNodePicking_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllowNodePicking(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourWidget_GetAllowNodePicking_17(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;
  int      temp20;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllowNodePicking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_AllowNodePickingOn_18(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowNodePickingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_AllowNodePickingOff_19(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowNodePickingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_SetFollowCursor_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFollowCursor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourWidget_GetFollowCursor_111(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;
  int      temp20;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFollowCursor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_FollowCursorOn_112(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->FollowCursorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_FollowCursorOff_113(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->FollowCursorOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_SetContinuousDraw_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContinuousDraw(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourWidget_GetContinuousDraw_115(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;
  int      temp20;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContinuousDraw();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_ContinuousDrawOn_116(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ContinuousDrawOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_ContinuousDrawOff_117(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ContinuousDrawOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_Initialize_118(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkContourWidget *op;
  vtkPolyData  *temp0;
  int      temp1;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourWidget_Initialize_119(JNIEnv *env, jobject obj)
{
  vtkContourWidget *op;

  op = (vtkContourWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContourWidget_VTKInit(JNIEnv *, jobject)
{
  vtkContourWidget *aNewOne = vtkContourWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
